/*
Copyright (C) 1996-1997 Id Software, Inc.
Additional (C) 2005 MH Enterprises, a division of the Amarillo Hoss Trading Company

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*
================================================================================================================================

	IQCC.c

	Interface to QCC QuakeC compiler.

	The intention of doing this is to fully realise the potential of QC.  While a lot of other engines implement extensions
	and so on, I've always felt kinda cheated by the fact that you still have to go out of the engine, recompile and reload
	in order to see the changes.  This definitely slows down the development process, especially when doing "trial and
	error" jobs, or tweaking variables to get the results exact.  Moving QCC into the engine like this means that you can
	recompile your progs on the fly while the engine is running.  It also means that QC can evolve to become a scripting
	language, rather than just a VM.

================================================================================================================================
*/

#include "quakedef.h"

// true if the real time compiled progs are valid, false otherwise
qboolean rtprogs = false;


