/*
Copyright (C) 1996-1997 Id Software, Inc.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

// common types and defines for gl_draw.c and gl_textures.c

// not to be confused with gltexture_t in glmodel.h!!!!!!!!
typedef struct
{
	int texnum;
	char identifier[64];
	int width, height;
	qboolean mipmap;
	qboolean alpha;
	int lhcsum;

	// for restoring the original texture
	int origtexnum;
} gl_texture_t;

// because MHQuake uses the cache for a number of graphics textures which standard quake does
// not use it for, we have to increase the maximum number of textures to avoid crashes, and
// drop out to a default texture if we do ever crash.  this is bad, but better than risking a
// potential crash.  most modern cards should have enough texture memory for this, but i wouldn't
// run MHQuake on a voodoo 1...
#define	MAX_GLTEXTURES	2048

gl_texture_t	gltextures[MAX_GLTEXTURES];
int			numgltextures;

