/*
Copyright (C) 1996-1997 Id Software, Inc.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#define	MAX_CLIP_VERTS	64

extern	model_t	*loadmodel;

extern cvar_t r_detailsky;
extern cvar_t _r_skybox;
extern cvar_t r_mirroralpha;
extern cvar_t r_drawdist;
extern cvar_t gl_subdivide_size;

extern cvar_t sky_rotate_x;
extern cvar_t sky_rotate_y;
extern cvar_t sky_rotate_z;

int		skytexturenum;
int		gl_useskybox;
int		skytexorder[6] = {0,2,1,3,4,5};
float	skymins[2][6], skymaxs[2][6];
int		solidskytexture;
int		alphaskytexture;
int		simpleskytexture;
float	speedscale;		// for top sky and bottom sky

glmsurface_t		*warpface;
extern glmsurface_t *skychain;

extern int global_worldtype;
extern int gl_fogenabled;

extern qboolean hlbsp;

// multiplier for the vertices based on the current drawing distance
extern float sky_mult;
extern float s_mody;
extern float t_mody;
extern float frametime;

float rotate_x;
float rotate_y;
float rotate_z;

int LoadTGA (int *width, int *height, qboolean complain, qboolean blah);
int LoadJPG (int *width, int *height, qboolean complain, qboolean blah);
int LoadPCX (int *width, int *height, qboolean complain, qboolean use_fake_alpha);

void R_ShutdownSkyFog (void);
void R_StartupSkyFog (void);

void MYgluPerspective (GLdouble fovy, GLdouble aspect, GLdouble zNear, GLdouble zFar);