/*
Copyright (C) 1996-1997 Id Software, Inc.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

// settings for the bare configuration, allowing you to select which optional features you want
// to include in your own personalised build of mhquake.  kinda similar to something heffo did.

// =======================================================================================
// IMPORTANT -- IMPORTANT -- IMPORTANT -- IMPORTANT -- IMPORTANT -- IMPORTANT -- IMPORTANT
//
// I recommend doing a 'Rebuild All' rather than just hitting F7 if you change any of these,
// otherwise you might get an 'Invalid or Corrupt File' fatal link error on bare/mhqr5.res!
//
// IMPORTANT -- IMPORTANT -- IMPORTANT -- IMPORTANT -- IMPORTANT -- IMPORTANT -- IMPORTANT
// =======================================================================================

// limit this to the bare or customised config only
#ifdef MHQBARE
// comment out or uncomment any of the following lines to include the options you want
#define USE_EXTTEX			// include code for TGAs and PCXs
#define USE_JPEG			// include code for JPGs
#define MH_MIRRORS			// include code for mirrors
#define MH_PORTALS			// include code for portals
#define HALFLIFEBSP			// include code for halflife BSP 30
#define USE_MIDI			// enable .mid support for music
#define USE_SCRIPTS			// enable support for mhscript
#endif

#ifdef _DEBUG
// these should always be fully enabled for the debug config
#ifndef USE_EXTTEX
#define USE_EXTTEX
#endif

#ifndef USE_JPEG
#define USE_JPEG
#endif

#ifndef MH_MIRRORS
#define MH_MIRRORS
#endif

#ifndef MH_PORTALS
#define MH_PORTALS
#endif

#ifndef HALFLIFEBSP
#define HALFLIFEBSP
#endif

#ifndef USE_MIDI
#define USE_MIDI
#endif

#ifndef USE_SCRIPTS
#define USE_SCRIPTS
#endif
#endif

// halflife BSP support requires external textures for skyboxes
#ifdef HALFLIFEBSP
#ifndef USE_EXTTEX
#define USE_EXTTEX
#endif
#endif

// the jpeg code requires that all other external textures are also used, so use them
#ifdef USE_JPEG
#ifndef USE_EXTTEX
#define USE_EXTTEX
#endif
#endif


// the portal code requires that mirrors are also used, so use them
#ifdef MH_PORTALS
#ifndef MH_MIRRORS
#define MH_MIRRORS
#endif
#endif
